Bug 243578 - audio/audacity: Update distinfo (upstream git tag 2.3.3 changed)
Summary: audio/audacity: Update distinfo (upstream git tag 2.3.3 changed)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-01-25 00:54 UTC by Jack
Modified: 2020-02-25 06:38 UTC (History)
3 users (show)

See Also:
xxjack12xx: maintainer-feedback+


Attachments
Update distinfo to reflect alpha to release version (5.39 KB, text/plain)
2020-01-25 00:54 UTC, Jack
no flags Details
Updated patch with fixed offset patchfiles. (1.84 KB, patch)
2020-01-25 01:36 UTC, Jack
no flags Details | Diff
diff between the old and new tar. (4.27 KB, text/plain)
2020-02-08 06:16 UTC, Jack
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2020-01-25 00:54:46 UTC
Created attachment 211023 [details]
Update distinfo to reflect alpha to release version

Appears the tar has updated from showing an alpha version to 2.3.3 release.
Comment 1 Jack 2020-01-25 01:36:21 UTC
Created attachment 211024 [details]
Updated patch with fixed offset patchfiles.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-07 03:15:04 UTC
Jack, can you clarify what happened upstream.

Did the commit hash that the 2.3.3 repository tag pointed to get moved?

This "appears to be the case":

https://sourceforge.net/p/audacity/mailman/message/36863277/

When tarballs change (but version numbers do not), the standard recommendation is covered here in the Porters Handbook:

https://www.freebsd.org/doc/en/books/porters-handbook/book.html#dads-rerolling-distfiles

In particular, this part is marked as IMPORTANT, and needs to be included here, and likely the primary contributor to the delay getting this change committed:

"Be sure to summarize the differences in the PR and commit log, so that other people know that nothing bad has happened."

If you can provide that information, it will go a long way to progressing resolution of this issue.
Comment 3 Jack 2020-02-07 03:23:52 UTC
I had reported to audacity that the version showed as 2.3.3-alpha in the release tarball. When the tar changed, I rebuilt it and it now shows as 2.3.3 release. The old tar is no longer available to download so I can't do a diff but clearly the release version changed from alpha to release in the about.
Comment 4 Tatsuki Makino 2020-02-07 07:01:46 UTC
distcache.FreeBSD.org still has SHA256 (audacity-audacity-Audacity-2.3.3_GH0.tar.gz) = 9ab6c8989e21165b86aad80b7e6691015cb5b0c91ab77e6170d7192f840313a8 file.
The difference between 9ab6c8989e21165b86aad80b7e6691015cb5b0c91ab77e6170d7192f840313a8 and 404e6c49693dedc94212fc5525974058d848536025e19da31359ae02babe8bd7 is the same diff as git diff eb2161d 008d8d8
Comment 5 Jack 2020-02-08 06:16:51 UTC
Created attachment 211468 [details]
diff between the old and new tar.
Comment 6 Jack 2020-02-20 20:13:03 UTC
Any update on when this can be committed or if anything else is needed to get the port fetchable?
Comment 7 Kurt Jaeger freebsd_committer 2020-02-25 06:37:58 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2020-02-25 06:38:38 UTC
A commit references this bug:

Author: pi
Date: Tue Feb 25 06:37:49 UTC 2020
New revision: 527065
URL: https://svnweb.freebsd.org/changeset/ports/527065

Log:
  audio/audacity: delete unneeded patches, update distinfo

  PR:		244253, 243578
  Submitted by:	Jack <xxjack12xx@gmail.com> (maintainer)

Changes:
  head/audio/audacity/Makefile
  head/audio/audacity/distinfo
  head/audio/audacity/files/patch-include_audacity_Types.h
  head/audio/audacity/files/patch-src_prefs_PrefsDialog.cpp